Debian Bug report logs - #673485
psmisc: FTBFS on hurd-i386

version graph

Package: psmisc; Maintainer for psmisc is Craig Small <csmall@debian.org>; Source for psmisc is src:psmisc.

Reported by: Samuel Thibault <sthibault@debian.org>

Date: Fri, 18 May 2012 23:12:02 UTC

Severity: important

Tags: patch

Found in versions psmisc/22.16-1, psmisc/22.17-1

Fixed in version psmisc/22.17-2

Done: Craig Small <csmall@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#673485; Package psmisc. (Fri, 18 May 2012 23:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
New Bug report received and forwarded. Copy sent to Craig Small <csmall@debian.org>. (Fri, 18 May 2012 23:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: psmisc: FTBFS on hurd-i386
Date: Sat, 19 May 2012 01:09:54 +0200
[Message part 1 (text/plain, inline)]
Package: psmisc
Version: 22.16-1
Severity: important
Tags: patch

Hello,

psmisc currently FTBFS on hurd-i386, due to PATH_MAX use in fuser.
Since fuser would actually not work yet on GNU/Hurd, the attached
patches simply disable it on hurd-i386.

Could you please apply it soon?  psmisc is needed for php5, and thus all
php packages.

Samuel

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.4 (SMP w/8 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages psmisc depends on:
ii  libc6      2.13-32
ii  libtinfo5  5.9-7

psmisc recommends no packages.

psmisc suggests no packages.

-- no debconf information

-- 
Samuel Thibault <samuel.thibault@fnac.net>
<macavity> bash: ls: Computer bought the farm
<macavity> THAT frightens ppl! :P
<macavity> id rather see: "bash: ls: Initialization of googol(AWAX)
        disengaged in HYPER32/64 mode due to faulty page request at
        AX:12A34F84B"
<macavity> at least that would give me the feeling that the
        *programmers* knows what is going on :P
(lovely Hurd...)
[patch (text/plain, attachment)]
[hurd (text/plain, attachment)]

Reply sent to Craig Small <csmall@debian.org>:
You have taken responsibility. (Sat, 02 Jun 2012 07:51:06 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Sat, 02 Jun 2012 07:51:06 GMT) Full text and rfc822 format available.

Message #10 received at 673485-close@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: 673485-close@bugs.debian.org
Subject: Bug#673485: fixed in psmisc 22.17-1
Date: Sat, 02 Jun 2012 07:49:56 +0000
Source: psmisc
Source-Version: 22.17-1

We believe that the bug you reported is fixed in the latest version of
psmisc, which is due to be installed in the Debian FTP archive:

psmisc_22.17-1.debian.tar.gz
  to main/p/psmisc/psmisc_22.17-1.debian.tar.gz
psmisc_22.17-1.dsc
  to main/p/psmisc/psmisc_22.17-1.dsc
psmisc_22.17-1_amd64.deb
  to main/p/psmisc/psmisc_22.17-1_amd64.deb
psmisc_22.17.orig.tar.gz
  to main/p/psmisc/psmisc_22.17.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673485@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Craig Small <csmall@debian.org> (supplier of updated psmisc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 02 Jun 2012 16:09:01 +1000
Source: psmisc
Binary: psmisc
Architecture: source amd64
Version: 22.17-1
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Craig Small <csmall@debian.org>
Description: 
 psmisc     - utilities that use the proc file system
Closes: 661723 673485
Changes: 
 psmisc (22.17-1) unstable; urgency=low
 .
   * New upstream release
     - fuser uses correct timeout_stat define Closes: #661723
     - fuser is not compiled on hurd-i386 Closes: #673485
Checksums-Sha1: 
 8bb009efe89d3c6229d8fb07964392710c116680 1669 psmisc_22.17-1.dsc
 5d400710cf030bf7396aec40f53e933942ec8b4a 500655 psmisc_22.17.orig.tar.gz
 2f17176951b365d6121acdb659cc77dc40d9f21a 6376 psmisc_22.17-1.debian.tar.gz
 7237fbc4574a6a6982ec2b09a0b8d3b4bc406d29 145576 psmisc_22.17-1_amd64.deb
Checksums-Sha256: 
 6b475601399edc075699a634bc9f02a452ce69e9b807869d8acab9698ce02311 1669 psmisc_22.17-1.dsc
 34e70139fd0d532eba00de408f2f4843a5fca93278de99db6eb04f3850c6be0d 500655 psmisc_22.17.orig.tar.gz
 4ccdc43a460e97c19c79e605aeb9cfe6069079b971c67e5d3108e6374ead9063 6376 psmisc_22.17-1.debian.tar.gz
 97c83b096128366c75f4c3dd9868e6a767624c831c220d79e18f51b746192949 145576 psmisc_22.17-1_amd64.deb
Files: 
 04df119bf0a8a328c8fe016697c08d56 1669 admin optional psmisc_22.17-1.dsc
 634e0f7c3b3dde22ea879e6279c9ec61 500655 admin optional psmisc_22.17.orig.tar.gz
 31941169be13858d7484998f7d405c99 6376 admin optional psmisc_22.17-1.debian.tar.gz
 611abcd6ee880012cb32d3813d54d9cb 145576 admin optional psmisc_22.17-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPycLeAAoJEDk4+WvfUP6ll9MP/2vQJDYhO44yG5gsTnjfHrXR
VU5ijLJM52EtRELoBPaZYacaGwhYvTI5OV4+ZM3Uq/hVBgSYuKPs2sqPva8aT7uj
NmquDLRUzcS+d3b5M6tgZ/On8RXmZzBIo4K0Li71PugIil/vgDtLMsVGX2kGoB9P
JwJFOck6n7wQK+1J17b6Kqzg41E4SU8LZBMljTDUX4UyJpOkb1LlWqVHZKpB9+8w
UIm7BSI6uj3nCGkCZGnjeQidqreyizWmkUgWKLweRmWef1rDcUGgQdsiW6OB4jF8
dmgtMHBTBRSCxBRjsBE9+HdbX1/bkooqGOgncR5bfpqrHdEs9gXLglwfUJ1gvvNw
tbR69Yj3IxkJy6sgDKplWbcRtbKUSrGf/okhUDZnp57EDoawryeskJjah46yf1jj
XqUGyEHzOM2MoGao1tSHcoyRXJsBM6ufOBrTo6LuL1R0EwodnLcB2u+a8T35bkXy
yKXHP7o7ufzRNz+ECoKxo94wvokXRVqB6EjeNMyD9/NwAWY9RBViP4/dKna6c3NZ
Ai5G2hJOujKsVEMMXz1uB+TOPi7kg9Eg39mNJcIHLVast6kG074xMwBagnV5+H6j
DoE+booknBZwk2a4YikH5EViyostwoSUmRMvBSWrizYhFV+oI0G1ctxX34sV3GXt
B283li5Odl1eL7VH86bC
=VlaT
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#673485; Package psmisc. (Sat, 02 Jun 2012 08:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Sat, 02 Jun 2012 08:15:13 GMT) Full text and rfc822 format available.

Message #15 received at 673485@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: 673485@bugs.debian.org
Subject: Re: Bug#673485: psmisc: FTBFS on hurd-i386
Date: Sat, 2 Jun 2012 10:12:00 +0200
[Message part 1 (text/plain, inline)]
reopen 673485
found 673485 22.17-1
thanks

Unfortunately it is still not fixed because of a missing line in
configure.ac to get ${target_os}, see attached patch.

Samuel
[patch (text/plain, attachment)]

Bug reopened Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Sat, 02 Jun 2012 08:15:17 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions psmisc/22.17-1. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Sat, 02 Jun 2012 08:15:18 GMT) Full text and rfc822 format available.

Marked as found in versions psmisc/22.17-1. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Sat, 02 Jun 2012 08:15:19 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#673485; Package psmisc. (Mon, 04 Jun 2012 01:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. (Mon, 04 Jun 2012 01:45:03 GMT) Full text and rfc822 format available.

Message #26 received at 673485@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: Samuel Thibault <sthibault@debian.org>, 673485@bugs.debian.org
Subject: Re: Bug#673485: psmisc: FTBFS on hurd-i386
Date: Mon, 4 Jun 2012 11:33:57 +1000
On Sat, Jun 02, 2012 at 10:12:00AM +0200, Samuel Thibault wrote:
> Unfortunately it is still not fixed because of a missing line in
> configure.ac to get ${target_os}, see attached patch.
And asdfasdf.debian.net is hurd, but hurd-amd64 so it works ok.
exodar kicks me off immediately.

 - Craig
-- 
Craig Small VK2XLZ   http://enc.com.au/          csmall at : enc.com.au
Debian GNU/Linux     http://www.debian.org/      csmall at : debian.org
GPG fingerprint:     5D2F B320 B825 D939 04D2  0519 3938 F96B DF50 FEA5




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#673485; Package psmisc. (Mon, 04 Jun 2012 01:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 04 Jun 2012 01:45:04 GMT) Full text and rfc822 format available.

Message #31 received at 673485@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Craig Small <csmall@debian.org>, 673485@bugs.debian.org
Subject: Re: Bug#673485: psmisc: FTBFS on hurd-i386
Date: Mon, 4 Jun 2012 03:42:39 +0200
Craig Small, le Mon 04 Jun 2012 11:33:57 +1000, a écrit :
> On Sat, Jun 02, 2012 at 10:12:00AM +0200, Samuel Thibault wrote:
> > Unfortunately it is still not fixed because of a missing line in
> > configure.ac to get ${target_os}, see attached patch.
> And asdfasdf.debian.net is hurd, but hurd-amd64 so it works ok.

?? asdfasdf is kfreebsd.

> exodar kicks me off immediately.

Maybe you have ssh compression enabled, there's a yet-uninvestigated bug
there (ssh there works for me right now).

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#673485; Package psmisc. (Mon, 04 Jun 2012 02:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Mon, 04 Jun 2012 02:03:03 GMT) Full text and rfc822 format available.

Message #36 received at 673485@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Craig Small <csmall@debian.org>, 673485@bugs.debian.org
Subject: Re: Bug#673485: psmisc: FTBFS on hurd-i386
Date: Mon, 4 Jun 2012 04:00:34 +0200
Samuel Thibault, le Mon 04 Jun 2012 03:42:39 +0200, a écrit :
> Craig Small, le Mon 04 Jun 2012 11:33:57 +1000, a écrit :
> > On Sat, Jun 02, 2012 at 10:12:00AM +0200, Samuel Thibault wrote:
> > > Unfortunately it is still not fixed because of a missing line in
> > > configure.ac to get ${target_os}, see attached patch.
> > And asdfasdf.debian.net is hurd, but hurd-amd64 so it works ok.
> 
> ?? asdfasdf is kfreebsd.
> 
> > exodar kicks me off immediately.
> 
> Maybe you have ssh compression enabled, there's a yet-uninvestigated bug
> there (ssh there works for me right now).

Actually I've realized that one can disable compression from the server
side, so it should just work now, whatever your configuration.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Craig Small <csmall@debian.org>:
Bug#673485; Package psmisc. (Fri, 08 Jun 2012 00:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Craig Small <csmall@debian.org>. (Fri, 08 Jun 2012 00:03:05 GMT) Full text and rfc822 format available.

Message #41 received at 673485@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Craig Small <csmall@debian.org>, 673485@bugs.debian.org
Subject: Re: Bug#673485: psmisc: FTBFS on hurd-i386
Date: Fri, 8 Jun 2012 02:00:16 +0200
Hello,

Are there any news on this?  Did you finally manage to log onto exodar?

We need psmisc at least for php installability.

If that can be useful, I can NMU with a minimal patch.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#673485; Package psmisc. (Mon, 11 Jun 2012 01:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Craig Small <csmall@debian.org>:
Extra info received and forwarded to list. (Mon, 11 Jun 2012 01:36:03 GMT) Full text and rfc822 format available.

Message #46 received at 673485@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: Samuel Thibault <sthibault@debian.org>
Cc: 673485@bugs.debian.org
Subject: Re: Bug#673485: psmisc: FTBFS on hurd-i386
Date: Mon, 11 Jun 2012 11:24:33 +1000
On Fri, Jun 08, 2012 at 02:00:16AM +0200, Samuel Thibault wrote:
> Are there any news on this?  Did you finally manage to log onto exodar?
> We need psmisc at least for php installability.
> If that can be useful, I can NMU with a minimal patch.

It actually was more involved than that patch. Placing that line in
configure.ac gave a warning and so needed to be a few lines above.

I also removed fuser.1 for hurd. It compilies on exodar fine now.
Thankyou for your patience.

 - Craig

-- 
Craig Small VK2XLZ   http://enc.com.au/          csmall at : enc.com.au
Debian GNU/Linux     http://www.debian.org/      csmall at : debian.org
GPG fingerprint:     5D2F B320 B825 D939 04D2  0519 3938 F96B DF50 FEA5




Reply sent to Craig Small <csmall@debian.org>:
You have taken responsibility. (Mon, 11 Jun 2012 01:51:03 GMT) Full text and rfc822 format available.

Notification sent to Samuel Thibault <sthibault@debian.org>:
Bug acknowledged by developer. (Mon, 11 Jun 2012 01:51:03 GMT) Full text and rfc822 format available.

Message #51 received at 673485-close@bugs.debian.org (full text, mbox):

From: Craig Small <csmall@debian.org>
To: 673485-close@bugs.debian.org
Subject: Bug#673485: fixed in psmisc 22.17-2
Date: Mon, 11 Jun 2012 01:49:15 +0000
Source: psmisc
Source-Version: 22.17-2

We believe that the bug you reported is fixed in the latest version of
psmisc, which is due to be installed in the Debian FTP archive:

psmisc_22.17-2.debian.tar.gz
  to main/p/psmisc/psmisc_22.17-2.debian.tar.gz
psmisc_22.17-2.dsc
  to main/p/psmisc/psmisc_22.17-2.dsc
psmisc_22.17-2_amd64.deb
  to main/p/psmisc/psmisc_22.17-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673485@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Craig Small <csmall@debian.org> (supplier of updated psmisc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 10 Jun 2012 17:39:03 +1000
Source: psmisc
Binary: psmisc
Architecture: source amd64
Version: 22.17-2
Distribution: unstable
Urgency: low
Maintainer: Craig Small <csmall@debian.org>
Changed-By: Craig Small <csmall@debian.org>
Description: 
 psmisc     - utilities that use the proc file system
Closes: 673485
Changes: 
 psmisc (22.17-2) unstable; urgency=low
 .
   * Added line in configure.ac for target_os Closes: #673485
Checksums-Sha1: 
 0bf29b651dc645663d2bd5afaf603c195e101731 1684 psmisc_22.17-2.dsc
 3984edba7a23e2fcc488741fa9047ec6fb59cbc6 6716 psmisc_22.17-2.debian.tar.gz
 47fc3ea7a8f0cea6e20c882916ae5598f3090c7a 145548 psmisc_22.17-2_amd64.deb
Checksums-Sha256: 
 579dce1b9632675df139de1a3363458756a0e7b258999c8e313816728253044e 1684 psmisc_22.17-2.dsc
 9c5f3cd06411ce2b3bc64665a4dc6985a0346decadf5bee71c2e17de9bb81765 6716 psmisc_22.17-2.debian.tar.gz
 cb4a0be36ab5c009a75413db8055565fdf8a6f6a0fbad1543a568fd0a7dc29a4 145548 psmisc_22.17-2_amd64.deb
Files: 
 a04708611e5ae97a2e85f3cc0c879580 1684 admin optional psmisc_22.17-2.dsc
 f672f11f5add0e24820d63d0ddbcd879 6716 admin optional psmisc_22.17-2.debian.tar.gz
 7139d71288aa7aad96f4b801cb2982ff 145548 admin optional psmisc_22.17-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJP1Up1AAoJEDk4+WvfUP6ldKkQAJuSSJIXXmCD786YlxbhdCh4
cbibjlbH163tog6OPPnEwywJX1ROjJMwVcjVyy3zZzJpFVFmSZZ99JblBjNMGfsO
pKgOpF+4qercsHLLqgSeolNaOeZ77csAGHUFb1HsKkco2QgrmjXAGcxSAq/RJI3F
0Fcu8Dzm2IWsUOT3NSA16KcxiIL6cWjG3p+CfoJr8UxnyFPBTU/JzbSSJqHR6DEL
JpgurMmU5F3S0NtXdxcB1YY1KId+IctZVP4cxQHxjLAuz32mjoQ91wORTkJOgjm6
66EcO119bXraatKMdMempcgQytJUfWxHs0E75ug4Cx08QB6IMQd2rT0o8ijvWSEP
nFViUdh5T6T+tVXygZm3PDYSu5gvbCIymdPmfoBpHxORoM0QXq012mUfpP8JyYdn
SEYkMMSfhoTOXbG5QZhoW+d342GSGXE0MK3HqQ9jqCSpiLQVvmM8XsTlU1MtJpGm
QliV/emZ0pLW4xln4La7bKZCugdoT7YDsyvZX/GLRuMNVnHapQKC9RgpOOQCiQZI
3kGawCvDlNBHLKQALAkY+yOHOIv2g9G23Hfqv52v1o/2WvJnbzSVRwAv/mvXA0dP
vQDmyjtf6W4XdrrKT0+qT42A+VZxmV2gMhVultq08LfmE+UAB+cfUXV6t7UTHQoF
UahtJNZCjvMMx/4Vs++2
=p9xn
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 10 Jul 2012 07:48:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:23:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.